Skip to main content

Starting March 27, 2026, RC is rebranded as Nexconn. Existing RC SDK customers can continue using this documentation. New customers should refer to the Nexconn developer documentation.

Unmute a User in a Specific Group

Unmute one or more users in a specific group.

If a user is muted in all groups, you can unmute them by leaving the groupId parameter empty.

Request Method

POST: https://data center domain/group/user/gag/rollback.json

Signature Rule: All server API requests must follow the signature rule. For details, see API Request Signature.

Rate Limit: 100 requests per second

Body Parameters

The HTTP request body may include the following HTTP form parameters:

ParameterTypeRequiredDescription
userIdStringYesUser ID. Up to 20 users can be removed at once.
groupIdStringNoGroup ID. If empty, the user's mute setting in all groups will be removed.

Request Example

POST /group/user/gag/rollback.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/x-www-form-urlencoded

userId=2582&userId=2583&groupId=16

Response

The HTTP response body contains a JSON object with the following structure:

Return ValueTypeDescription
codeNumberReturn code. 200 indicates success.

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{"code":200}